Get notes
Server:
https://{kibana_url}
- GET /api/note
- GET /s/{space_id}/api/note
Refer to Spaces for more information.
Get all notes for a given document.
Query Parameters
-
pagestring -
perPagestring -
searchstring -
sortFieldstring -
sortOrderstring -
filterstring -
createdByFilterstring -
associatedFilter -
Values:
alldocument_onlysaved_object_onlydocument_and_saved_objectorphan
Response
Indicates the requested notes were returned.
One of:
-
notesobjectrequired -
creatednumbernullable -
The time the note was created, using a 13-digit Epoch timestamp.
-
createdBystringnullable -
The user who created the note.
-
updatednumbernullable -
The last time the note was updated, using a 13-digit Epoch timestamp
-
updatedBystringnullable -
The user who last updated the note
-
eventIdstringnullable -
The
_idof the associated event for this note. -
notestringnullable -
The text of the note
-
timelineIdstringrequired -
The
savedObjectIdof the Timeline that this note is associated with -
noteIdstringrequired -
The
savedObjectIdof the note -
versionstringrequired -
The version of the note
-
totalCountnumberrequired